# Generated by Django 1.11.29 on 2020-11-17 18:12

from django.db import migrations
import django.db.models.deletion
import sentry.db.models.fields.bounded
import sentry.db.models.fields.foreignkey


class Migration(migrations.Migration):
    # This flag is used to mark that a migration shouldn't be automatically run in
    # production. We set this to True for operations that we think are risky and want
    # someone from ops to run manually and monitor.
    # General advice is that if in doubt, mark your migration as `is_dangerous`.
    # Some things you should always mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that
    #   they can be monitored. Since data migrations will now hold a transaction open
    #   this is even more important.
    # - Adding columns to highly active tables, even ones that are NULL.
    is_dangerous = False

    # This flag is used to decide whether to run this migration in a transaction or not.
    # By default we prefer to run in a transaction, but for migrations where you want
    # to `CREATE INDEX CONCURRENTLY` this needs to be set to False. Typically you'll
    # want to create an index concurrently when adding one to an existing table.
    atomic = True

    dependencies = [
        ("sentry", "0128_change_dashboards"),
    ]

    operations = [
        migrations.AlterField(
            model_name="widget",
            name="dashboard",
            field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                db_constraint=False,
                db_index=False,
                on_delete=django.db.models.deletion.CASCADE,
                to="sentry.Dashboard",
            ),
        ),
        migrations.AlterField(
            model_name="widget",
            name="display_type",
            field=sentry.db.models.fields.bounded.BoundedPositiveIntegerField(
                choices=[(0, "line"), (1, "area"), (2, "stacked_area"), (3, "bar"), (4, "table")]
            ),
        ),
        migrations.AlterField(
            model_name="widgetdatasource",
            name="widget",
            field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                db_constraint=False,
                db_index=False,
                on_delete=django.db.models.deletion.CASCADE,
                to="sentry.Widget",
            ),
        ),
    ]
