import { __read } from "tslib";
import React from 'react';
import ContextData from 'app/components/contextData';
import EventDataSection from 'app/components/events/eventDataSection';
import { t } from 'app/locale';
var DeviceInterface = function (_a) {
    var event = _a.event;
    var data = event.device || {};
    var extras = Object.entries(data.data || {}).map(function (_a) {
        var _b = __read(_a, 2), key = _b[0], value = _b[1];
        return (<tr key={key}>
        <td className="key">{key}</td>
        <td className="value">
          <ContextData data={value}/>
        </td>
      </tr>);
    });
    return (<EventDataSection type="device" title={t('Device')} wrapTitle>
      <table className="table key-value">
        <tbody>
          {data.name && (<tr>
              <td className="key">Name</td>
              <td className="value">
                <pre>{data.name}</pre>
              </td>
            </tr>)}
          {data.version && (<tr>
              <td className="key">Version</td>
              <td className="value">
                <pre>{data.version}</pre>
              </td>
            </tr>)}
          {data.build && (<tr>
              <td className="key">Build</td>
              <td className="value">
                <pre>{data.build}</pre>
              </td>
            </tr>)}
          {extras}
        </tbody>
      </table>
    </EventDataSection>);
};
export default DeviceInterface;
//# sourceMappingURL=device.jsx.map