import { __read, __spreadArray } from "tslib";
import { t } from 'app/locale';
var popular = [
    'javascript',
    'javascript-react',
    'python-django',
    'python',
    'python-flask',
    'ruby-rails',
    'node-express',
    'php-laravel',
    'java',
    'java-spring-boot',
    'dotnet',
    'dotnet-aspnetcore',
    'csharp',
    'go',
    'php',
    'ruby',
    'node',
    'react-native',
    'javascript-angular',
    'javascript-vue',
    'android',
    'apple-ios',
    'react-native',
    'flutter',
    'dart-flutter',
];
export var frontend = [
    'dart',
    'javascript',
    'javascript-react',
    'javascript-angular',
    'javascript-angularjs',
    'javascript-backbone',
    'javascript-ember',
    'javascript-gatsby',
    'javascript-vue',
];
var mobile = [
    'android',
    'apple-ios',
    'cordova',
    'javascript-cordova',
    'react-native',
    'flutter',
    'dart-flutter',
    'unity',
    'dotnet-xamarin',
];
export var backend = [
    'dotnet',
    'dotnet-aspnetcore',
    'dotnet-aspnet',
    'elixir',
    'go',
    'go-http',
    'java',
    'java-appengine',
    'java-log4j',
    'java-log4j2',
    'java-logback',
    'java-logging',
    'java-spring',
    'java-spring-boot',
    'native',
    'node',
    'node-express',
    'node-koa',
    'node-connect',
    'perl',
    'php',
    'php-laravel',
    'php-monolog',
    'php-symfony2',
    'python',
    'python-django',
    'python-flask',
    'python-sanic',
    'python-celery',
    'python-bottle',
    'python-pylons',
    'python-pyramid',
    'python-tornado',
    'python-rq',
    'ruby',
    'ruby-rails',
    'ruby-rack',
    'rust',
];
var serverless = [
    'python-awslambda',
    'python-azurefunctions',
    'python-gcpfunctions',
    'node-awslambda',
    'node-azurefunctions',
    'node-gcpfunctions',
    'dotnet-awslambda',
];
var desktop = [
    'apple-macos',
    'dotnet',
    'dotnet-winforms',
    'dotnet-wpf',
    'java',
    'electron',
    'javascript-electron',
    'native',
    'native-crashpad',
    'native-breakpad',
    'native-minidump',
    'native-qt',
    'minidump',
    'unity',
];
var categoryList = [
    { id: 'popular', name: t('Popular'), platforms: popular },
    { id: 'browser', name: t('Browser'), platforms: frontend },
    { id: 'server', name: t('Server'), platforms: backend },
    { id: 'mobile', name: t('Mobile'), platforms: mobile },
    { id: 'desktop', name: t('Desktop'), platforms: desktop },
    { id: 'serverless', name: t('Serverless'), platforms: serverless },
];
export var sourceMaps = __spreadArray(__spreadArray([], __read(frontend)), [
    'react-native',
    'cordova',
    'electron',
]);
export var tracing = ['python-tracing', 'node-tracing'];
export var performance = [
    'javascript',
    'javascript-ember',
    'javascript-react',
    'javascript-vue',
    'php',
    'php-laravel',
    'python',
    'python-django',
    'python-flask',
    'python-sanic',
    'python-celery',
    'python-bottle',
    'python-pylons',
    'python-pyramid',
    'python-tornado',
    'python-rq',
    'node',
    'node-express',
    'node-koa',
    'node-connect',
];
/**
 * Additional aliases used for filtering in the platform picker
 */
export var filterAliases = {
    native: ['cpp', 'c++'],
};
export default categoryList;
//# sourceMappingURL=platformCategories.jsx.map