import { __assign, __rest } from "tslib";
import React from 'react';
import createReactClass from 'create-react-class';
import Reflux from 'reflux';
import SentryAppComponentsStore from 'app/stores/sentryAppComponentsStore';
import getDisplayName from 'app/utils/getDisplayName';
var withSentryAppComponents = function (WrappedComponent, _a) {
    var _b = _a === void 0 ? {} : _a, componentType = _b.componentType;
    return createReactClass({
        displayName: "withSentryAppComponents(" + getDisplayName(WrappedComponent) + ")",
        mixins: [Reflux.connect(SentryAppComponentsStore, 'components')],
        render: function () {
            var _a = this.props, components = _a.components, props = __rest(_a, ["components"]);
            return (<WrappedComponent {...__assign({ components: components !== null && components !== void 0 ? components : SentryAppComponentsStore.getComponentByType(componentType) }, props)}/>);
        },
    });
};
export default withSentryAppComponents;
//# sourceMappingURL=withSentryAppComponents.jsx.map