import React from 'react';
import Breadcrumbs from 'app/components/breadcrumbs';
import Button from 'app/components/button';
import ButtonBar from 'app/components/buttonBar';
import EditableText from 'app/components/editableText';
import * as Layout from 'app/components/layouts/thirds';
import { t } from 'app/locale';
function Header(_a) {
    var title = _a.title, orgSlug = _a.orgSlug, onChangeTitle = _a.onChangeTitle;
    return (<Layout.Header>
      <Layout.HeaderContent>
        <Breadcrumbs crumbs={[
            {
                to: "/organizations/" + orgSlug + "/dashboards/",
                label: t('Dashboards'),
            },
            { label: t('Widget Builder') },
        ]}/>
        <Layout.Title>
          <EditableText value={title} onChange={onChangeTitle}/>
        </Layout.Title>
      </Layout.HeaderContent>

      <Layout.HeaderActions>
        <ButtonBar gap={1}>
          <Button title={t("You’re seeing the metrics project because you have the feature flag 'organizations:metrics' enabled. Send us feedback via email.")} href="mailto:metrics-feedback@sentry.io?subject=Metrics Feedback">
            {t('Give Feedback')}
          </Button>
          <Button priority="primary">{t('Save Widget')}</Button>
        </ButtonBar>
      </Layout.HeaderActions>
    </Layout.Header>);
}
export default Header;
//# sourceMappingURL=header.jsx.map